AsterNet Class Library (Sandcastle documentation)

| MappingStrategy Class

Note: This API is now obsolete.

A MappingStrategy that is configured via a resource bundle.
The resource bundle contains the script part of the url as key and the fully qualified class name of the corresponding AGIScript as value.
Example:

                        noopcommand = AsterNET.FastAGI.Command.NoopCommand

NoopCommand must implement the AGIScript interface and have a default constructor with no parameters.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI
MappingStrategy

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    [ObsoleteAttribute("This class has been depreciated in favour of MappingStrategies.ResourceMappingStrategy",
    	false)]
    public class MappingStrategy : IMappingStrategy

    <ObsoleteAttribute("This class has been depreciated in favour of MappingStrategies.ResourceMappingStrategy",
    	false)>
    Public Class MappingStrategy
    	Implements IMappingStrategy

    [ObsoleteAttribute(L"This class has been depreciated in favour of MappingStrategies.ResourceMappingStrategy",
    	false)]
    public ref class MappingStrategy : IMappingStrategy

    [<ObsoleteAttribute("This class has been depreciated in favour of MappingStrategies.ResourceMappingStrategy",
    	false)>]
    type MappingStrategy =
        class
            interface IMappingStrategy
        end

The MappingStrategy type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| MappingStrategy | Initializes a new instance of the MappingStrategy class
| MappingStrategy(String) | Initializes a new instance of the MappingStrategy class

Top
Methods

| Name | Description
--- | --- | ---
| DetermineScript |
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| Load |
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Properties

| Name | Description
--- | --- | ---
| ResourceBundleName |

Top
See Also

#### Reference

AsterNET.FastAGI Namespace